#!/bin/bash

shellfu import jat

_pretty__debug() {
    local decor="()"
    local caller_is_main=${caller_is_main:-false}
    local caller=${caller:-UNKNOWN}
    $caller_is_main && decor=
    while IFS= read -r line;
    do jat__log_info "debug:$caller$decor:"
       jat__log_info "$line"; done
}


_pretty__die() {
    while IFS= read -r line;
    do jat__log_error "$line"; done
}


_pretty__mkhelp() {
    while IFS= read -r line;
    do jat__log_info "$line"; done
}


_pretty__mkusage() {
    while IFS= read -r line;
    do jat__log_info "$line"; done
}


_pretty__think() {
    while IFS= read -r line;
    do jat__log_info "$line"; done
}


_pretty__warn() {
    while IFS= read -r line;
    do jat__log_warning "$line"; done
}
